import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { components, useClassName } from 'fastui';
import BootstrapNavbar from 'react-bootstrap/Navbar';
export const Navbar = (props) => {
    const startLinks = props.startLinks.map((link) => {
        link.mode = link.mode || 'navbar';
        return link;
    });
    const endLinks = props.endLinks.map((link) => {
        link.mode = link.mode || 'navbar';
        return link;
    });
    return (_jsx(BootstrapNavbar, { expand: "lg", className: useClassName(props), children: _jsxs("div", { className: useClassName(props, { el: 'contents' }), children: [_jsx(NavbarTitle, { ...props }), _jsx(BootstrapNavbar.Toggle, { "aria-controls": "navbar-collapse" }), _jsxs(BootstrapNavbar.Collapse, { id: "navbar-collapse", children: [_jsx("ul", { className: "navbar-nav me-auto", children: startLinks.map((link, i) => (_jsx("li", { className: "nav-item", children: _jsx(components.LinkComp, { ...link }) }, i))) }), _jsx("ul", { className: "navbar-nav ms-auto", children: endLinks.map((link, i) => (_jsx("li", { className: "nav-item", children: _jsx(components.LinkComp, { ...link }) }, i))) })] })] }) }));
};
const NavbarTitle = (props) => {
    const { title, titleEvent } = props;
    const className = useClassName(props, { el: 'title' });
    if (title) {
        if (titleEvent) {
            return (_jsx(components.LinkRender, { onClick: titleEvent, className: className, children: title }));
        }
        else {
            return _jsx("span", { className: className, children: title });
        }
    }
};
