import { FC } from 'react';
import type { AnyEvent, DisplayMode, Display, JsonData } from '../models';
export declare const DisplayComp: FC<Display>;
interface DisplayArrayProps {
    value: JsonData[];
    mode?: DisplayMode;
}
export declare const DisplayArray: FC<DisplayArrayProps>;
interface DisplayObjectProps {
    value: {
        [key: string]: JsonData;
    };
    mode?: DisplayMode;
}
export declare const DisplayObject: FC<DisplayObjectProps>;
type JSONPrimitive = string | number | boolean | null;
export interface DisplayPrimitiveProps {
    value: JSONPrimitive;
    mode: DisplayMode;
}
export declare const DisplayPrimitive: FC<DisplayPrimitiveProps>;
export type DataModel = Record<string, JsonData>;
export interface DisplayLookupProps extends Omit<Display, 'type' | 'value'> {
    field: string;
    tableWidthPercent?: number;
}
export declare function renderEvent(event: AnyEvent | undefined, data: DataModel): AnyEvent | undefined;
export {};
