import { FC, ReactNode } from 'react';
import type { FastProps } from './models';
import { ClassNameGenerator } from './hooks/className';
export type * as models from './models';
export * as components from './components';
export * as events from './events';
export type { ClassNameGenerator } from './hooks/className';
export { useClassName, renderClassName } from './hooks/className';
export { pathMatch } from './hooks/locationContext';
export { EventContextProvider } from './hooks/eventContext';
export type CustomRender = (props: FastProps) => FC | void;
export interface FastUIProps {
    APIRootUrl: string;
    APIPathMode?: 'append' | 'query';
    APIPathStrip?: string;
    NotFound?: FC<{
        url: string;
    }>;
    Transition?: FC<{
        children: ReactNode;
        transitioning: boolean;
    }>;
    classNameGenerator?: ClassNameGenerator;
    customRender?: CustomRender;
    devMode?: boolean;
}
export declare function FastUI(props: FastUIProps): import("react/jsx-runtime").JSX.Element;
