export declare const AUTH_TOKEN_KEY = "fastui-auth-token";
export type Method = 'GET' | 'POST' | 'PATCH' | 'PUT' | 'DELETE';
export declare function useRequest(): (args: RequestArgs) => Promise<[number, any]>;
export interface RequestArgs {
    url: string;
    method?: Method;
    expectedStatus?: number[];
    query?: Record<string, string> | URLSearchParams;
    json?: Record<string, any>;
    formData?: FormData;
    headers?: Record<string, string> | Headers;
}
export declare function useSSE(url: string, onMessage: (data: any) => void, method?: Method, retry?: number): void;
export declare function unreachable(msg: string, unexpectedValue: never, args?: any): void;
type Callable = (...args: any[]) => void;
export declare function debounce<C extends Callable>(fn: C, delay: number): C;
export declare function sleep(ms: number): Promise<void>;
export declare const asTitle: (s: string) => string;
export declare const slugify: (s: string) => string;
export {};
